package com.abcinc.phonelist;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * Implementation of <strong>Action</strong> that deletes a contact.
 *
 * @author Wellie W. Chao
 */
public class DeleteAction extends Action {

	// ------------------------------------------------------- Static Variables

	// ----------------------------------------------------- Instance Variables

	// ----------------------------------------------------------- Constructors

	// -------------------------------------------------------- Private Methods

	// ------------------------------------------------- Private Static Methods

	// ----------------------------------------------------- Accessors/Mutators

	// --------------------------------------------------------- Public Methods

	/**
	 * Process the specified HTTP request, and create the corresponding HTTP
	 * response (or forward to another web component that will create it).
	 * Return an <code>ActionForward</code> instance describing where and how
	 * control should be forwarded, or <code>null</code> if the response has
	 * already been completed.
	 *
	 * @param mapping The ActionMapping used to select this instance
	 * @param form The optional ActionForm bean for this request (if any)
	 * @param request The HTTP request we are processing
	 * @param response The HTTP response we are creating
	 *
	 * @exception Exception if the application business logic throws an
	 * exception
	 */
	public ActionForward execute
		(ActionMapping mapping,
		 ActionForm form,
		 HttpServletRequest request,
		 HttpServletResponse response)
		throws Exception {

		ManageForm manageForm = (ManageForm) form;
		Integer[] idArray = manageForm.getId();

		// iterator over the selected id values and delete each
		// ContactBean instance.
		for(int i = 0; i < idArray.length; i++) {
			Integer id = idArray[i];
			ContactDatabase.deleteBeanWithId(id);
		}

		// get the list of contacts in memory
		List contactBeanList = ContactDatabase.getList();

		// put displayed information in request attribute context for the JSP
		request.setAttribute("contactBeanList", contactBeanList);

		// Forward control to the specified success URI
		return (mapping.findForward("success"));

	}

}
