package com.abcinc.phonelist;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.ValidatorForm;

/**
 * Form bean for the show list page. This form has the
 * following fields, with default values in square brackets:
 * <ul>
 * <li><b>id</b> - One or more contact id values represented as an
 * array of Integer objects.
 * </ul>
 *
 * @author Wellie W. Chao
 */
public class ManageForm extends ValidatorForm {


	// ----------------------------------------------------- Instance Variables

	/**
	 * Data fields
	 */

	private Integer[] id = null;
	
	// ------------------------------------------------------------- Properties

	/**
	 * Data fields
	 */

	public Integer[] getId() {
		return this.id;
	}

	public void setId(Integer[] id) {
		this.id = id;
	}

	// -------------------------------------------------------- Private Methods

	// ------------------------------------------------------ Protected Methods

	// --------------------------------------------------------- Public Methods

	/**
	 * Reset all properties to their default values (page by page).
	 *
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		if (getPage() == 0) {
			id = new Integer[0];
		}
	}

	/**
	 * Validate the properties that have been set from this HTTP request,
	 * and return an <code>ActionErrors</code> object that encapsulates any
	 * validation errors that have been found.	If no errors are found, return
	 * <code>null</code> or an <code>ActionErrors</code> object with no
	 * recorded error messages.
	 *
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public ActionErrors validate(ActionMapping mapping,
															 HttpServletRequest request) {

		// Perform validator framework validations
		ActionErrors errors = super.validate(mapping, request);

		if (errors == null) errors = new ActionErrors();

		/**
		 * If the validator framework found errors, display those first so
		 * we avoid a call to the database.
		 */
		if (errors.size() > 0)
			return errors;

		/**
		 * Custom validations below.
		 */

		return errors;

	}

}
