package com.abcinc.phonelist;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * Implementation of <strong>Action</strong> that sets default values
 * for a new contact and then forwards to the view.
 *
 * @author Wellie W. Chao
 */
public class NewAction extends Action {

	// ------------------------------------------------------- Static Variables

	// ----------------------------------------------------- Instance Variables

	// ----------------------------------------------------------- Constructors

	// -------------------------------------------------------- Private Methods

	// ------------------------------------------------- Private Static Methods

	// ----------------------------------------------------- Accessors/Mutators

	// --------------------------------------------------------- Public Methods

	/**
	 * Process the specified HTTP request, and create the corresponding HTTP
	 * response (or forward to another web component that will create it).
	 * Return an <code>ActionForward</code> instance describing where and how
	 * control should be forwarded, or <code>null</code> if the response has
	 * already been completed.
	 *
	 * @param mapping The ActionMapping used to select this instance
	 * @param form The optional ActionForm bean for this request (if any)
	 * @param request The HTTP request we are processing
	 * @param response The HTTP response we are creating
	 *
	 * @exception Exception if the application business logic throws an
	 * exception
	 */
	public ActionForward execute
		(ActionMapping mapping,
		 ActionForm form,
		 HttpServletRequest request,
		 HttpServletResponse response)
		throws Exception {

		// Create the edit contact form
		if (form == null) {
			form = new EditForm();
			// save the form bean to a request or session attribute based on scope
			if ("request".equals(mapping.getScope())) {
				request.setAttribute(mapping.getAttribute(), form);
			} else {
				HttpSession session = request.getSession();
				session.setAttribute(mapping.getAttribute(), form);
			}
		}

		// set default values here if desired. We do not have any default
		// values. If we did, we would uncomment the following lines and
		// set the desired values.
		//EditForm editForm = (EditForm)form;
		//editForm.setLastName("default last name");
		//editForm.setFirstName("default first name");
		//editForm.setPhone("default phone");
		//editForm.setFax("default fax");
		//editForm.setEmail("default email");

		// Forward control to the edit contact page
		return mapping.getInputForward();

	}

	// -------------------------------------------------- Public Static Methods

}
