package com.abcinc.phonelist;

/**
 * Generate sequence values so that new contact entries can be created
 * with unique ID values.
 *
 * @author Wellie W. Chao
 */
public class Sequence {

	// ------------------------------------------------------- Static Variables

	// current value of the sequence.
	private static int sequenceValue = 0;

	// ----------------------------------------------------- Instance Variables

	// ----------------------------------------------------------- Constructors

	// -------------------------------------------------------- Private Methods

	// ------------------------------------------------------ Protected Methods

	// ----------------------------------------------------- Accessors/Mutators

	// --------------------------------------------------------- Public Methods
	
	// -------------------------------------------------- Public Static Methods

	/**
	 * Get the next value in the sequence for use as a unique ID value.
	 *
	 * @return an Integer object containing the next sequence value.
	 */
	synchronized public static Integer getId() {
		return new Integer(sequenceValue++);
	}

}
