package com.abcinc.phonelist.test;

import com.meterware.httpunit.GetMethodWebRequest;
import com.meterware.httpunit.TableCell;
import com.meterware.httpunit.WebConversation;
import com.meterware.httpunit.WebRequest;
import com.meterware.httpunit.WebResponse;
import com.meterware.httpunit.WebTable;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Test case fixture for the show list function of the phone list
 * application. This fixture contains several tests, each of which is
 * expressed in a method with a name of the form testXXX.
 */
public class ShowListTest extends TestCase {

	// configurable constants.
	private static String protocol = "http";
	private static String hostname = "localhost";
	private static int port = 8080;
	private static String path = "/phonelist/showList.do";

	// main method so class can run from command line.
	public static void main(String args[]) {
		junit.textui.TestRunner.run(suite());
	}

	public static TestSuite suite() {
		return new TestSuite(ShowListTest.class);
	}

	public ShowListTest(String s) {
		super(s);
	}

	// test the show list page.
	public void testShowList() throws Exception {
		WebConversation webConversation = new WebConversation();
		String url = protocol + "://" + hostname + ":" + port + path;
		WebRequest webRequest = new GetMethodWebRequest(url);
		WebResponse webResponse = webConversation.getResponse(webRequest);
		// test the the page we requested returns some content.
		assertTrue("No content in phone list page", webResponse.getText().length() > 0);
		WebTable webTable = webResponse.getTableStartingWith("Phone List");
		// test that the table with the phone list exists.
		assertNotNull("Phone List HTML table not found", webTable);
		// test that the number of rows >= 4 (one row for the title of the
		// table, one row for the column headings, at least one row for
		// the phone list, and one row for the delete button and new
		// link).
		assertTrue("Phone List table has less than 4 rows", webTable.getRowCount() >= 4);
	}

}
